#
# spec file for package python-cov-core
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-cov-core
Version:        1.15.0
Release:        6.1
Summary:        Plugin core for use by pytest-cov, nose-cov and nose2-cov
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/schlamar/cov-core
Source:         https://pypi.python.org/packages/source/c/cov-core/cov-core-%{version}.tar.gz
BuildRequires:  python-coverage
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Requires:       python-coverage
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
This is a lib package for use by pytest-cov, nose-cov and nose2-cov.  Unless your developing a
coverage plugin for a test framework then you probably want one of those.

%prep
%setup -q -n cov-core-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.rst
%{python_sitelib}/*

%changelog
* Sat May  2 2015 benoit.monin@gmx.fr
- update to version 1.15.0: no upstream changelog
- update project URL
* Wed Jul 30 2014 toddrme2178@gmail.com
- Update to 1.13.0
  * No upstream changelog
* Mon Aug 12 2013 speilicke@suse.com
- Setuptools build requirement got lost
* Mon Aug 12 2013 speilicke@suse.com
- Initial version
